Time tracking
Start a timer
Starts a timer for the authenticated user. Returns 409 if a timer is already running for this user.
POST
/
{team_id}
/
time
/
timer
Start a timer
curl --request POST \
--url https://api.superthread.com/v1/{team_id}/time/timer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope_type": "card",
"scope_id": "2700",
"description": "<string>",
"billable": true
}
'import requests
url = "https://api.superthread.com/v1/{team_id}/time/timer"
payload = {
"scope_type": "card",
"scope_id": "2700",
"description": "<string>",
"billable": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scope_type: 'card', scope_id: '2700', description: '<string>', billable: true})
};
fetch('https://api.superthread.com/v1/{team_id}/time/timer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active_timer": {
"team_id": "tDsu0j19",
"user_id": "uR2dws11",
"scope_type": "card",
"scope_id": "2700",
"started_at": 1608742037016,
"description": "Pairing with Alex on the API spec",
"billable": true,
"version": 1
}
}{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
Body
application/json
Scope a time entry attaches to. card ties the entry to a specific card (and rolls up to its epic),
while category ties the entry to a workspace-level time category not associated with any card.
Available options:
card, category Example:
"card"
Example:
"2700"
Response
Timer started
A user's currently-running timer. Singleton per user per workspace.
Show child attributes
Show child attributes
Previous
Stop a timerStops the active timer for the authenticated user and creates a time entry as a side effect. Returns the created time entry.
Next
⌘I
Start a timer
